/*
 *	Copyright (c) 2000 Rinet Corp., Novosibirsk, Russia
 *
 * Redistribution and use in source forms, with and without modification,
 * are permitted provided that this entire comment appears intact.
 *
 * THIS SOURCE CODE IS PROVIDED ``AS IS'' WITHOUT ANY WARRANTIES OF ANY KIND.
 */

#ifndef	__THREADS_H_
#define	__THREADS_H_

#ifdef	HAVE_PTHREAD
#include <pthread.h>

extern int busy_threads;

extern pthread_attr_t detached_attr;
extern pthread_attr_t joinable_attr;

extern pthread_mutex_t gethostby_lock;
extern pthread_mutex_t localtime_lock;
extern pthread_mutex_t variables_lock;
#endif

#endif	/* !__THREADS_H_ */
